# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = "termcolor"
  s.version = "1.2.2"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["jugyo"]
  s.date = "2012-08-15"
  s.description = "Termcolor is a library for ANSI color formatting like HTML for output in terminal. '<red>red</red>'.termcolor #=> \"\e[31mred\e[0m\""
  s.email = "jugyo.org@gmail.com"
  s.extra_rdoc_files = ["README.rdoc", "History.txt"]
  s.files = ["README.rdoc", "History.txt"]
  s.homepage = "http://github.com/jugyo/termcolor"
  s.rdoc_options = ["--main", "README.rdoc", "--exclude", "spec"]
  s.require_paths = ["lib"]
  s.rubyforge_project = "termcolor"
  s.rubygems_version = "1.8.23.2"
  s.summary = "Termcolor is a library for ANSI color formatting like HTML for output in terminal."

  if s.respond_to? :specification_version then
    s.specification_version = 3

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<highline>, [">= 1.5.0"])
    else
      s.add_dependency(%q<highline>, [">= 1.5.0"])
    end
  else
    s.add_dependency(%q<highline>, [">= 1.5.0"])
  end
end
